/*****************************************************************************\
|*
|*  Version:    1.2
|*
|*  Description:
|*
|*      TASKING ROM Monitor for M16C: functions to be ran from RAM
|*
|*  Copyright 2003 Altium BV
|*
 *****************************************************************************/

#ifndef _FLASH_H
#define _FLASH_H

/*
 * global variables
 */

extern __far unsigned char _lc_cb_flash_CO[]; /* begin in rom of flash functions */
extern __near unsigned char _lc_b_flash_CO[];  /* begin in ram of flash functions */
extern __near unsigned char _lc_e_flash_CO[];  /* end in ram of flash functions */

/*
 * global functions, inline functions
 */

void ram_erase_flash(void);
void ram_erase_block( unsigned long );
void ram_write_flash(unsigned long address, __near unsigned char *buf );
void ram_uart_putchar(unsigned char byte);
#ifdef DEBUG
void ram_uart_putnibble( unsigned char byte );
#endif

#endif /* _FLASH_H */
