/*****************************************************************************\
|*
|*  Version:    1.2
|*
|*  Description:
|*
|*      TASKING M16C ROM Monitor: commands and arror codes
|*
|*  Copyright 2002 Altium BV
|*
 *****************************************************************************/

#ifndef _TARGET_H
#define _TARGET_H

/*
 * defines, typedefs
 */

/* include TARGET.h */
#ifdef TARGET
#  define TARGETH TARGET.h
#  define str1(x) #x
#  define str2(x) str1(x)
#  define INC str2(TARGETH)
#  include INC
#else
#  error Please set 'TARGET=<board name>' in Project|Project Options|C Compiler|Preprocessing
#endif


/*
 * inline functions
 */
inline void ta_reset(void);
inline void ta_init(void);
inline void ta_erase_flash(void);
inline void ta_write_flash(unsigned long address, __near unsigned char * buf);


/*
 * Check if clockspeed is defined. 
 */
#ifndef FOSC
#  error Specify oscillator frequency
#endif

/*
 * Check if host interface is defined.
 * Should be UART0, UART1 or UART2 (0, 1 or 2)
 */
#ifndef UART
#  error Specify which UART to use (0,1 or 2)
#endif

/*
 * Check definition of baudrate to use on host interface (9600, 19200, 38400, 57600 or 115200)
 */
#ifndef BAUDRATE
#  error Specify baud rate to be used (9600, 19200, 38400, 57600 or 115200)
#endif

/*
 * Check definition of handshake control.
 */
#if !(defined(HANDSHAKE_SOFTWARE) || defined(HANDSHAKE_HARDWARE) || defined(HANDSHAKE_NONE))
#  error Specify one of HANDSHAKE_SOFTWARE, HANDSHAKE_HARDWARE or HANDSHAKE_NONE
#endif

#endif /* _TARGET_H */
